SDL_GetAudioRecordingDevices(3)

NAME
SDL_GetAudioRecordingDevices - Get a list of currently-connected audio recording devices.

SYNOPSIS
#include <SDL3/SDL_audio.h>

SDL_AudioDeviceID * SDL_GetAudioRecordingDevices(int *count);

DESCRIPTION
This returns of list of available devices that record audio, like a microphone ("recording" devices). If you want devices that play sound, perhaps to speakers or headphones ("playback" devices), use SDL_GetAudioPlaybackDevices() instead.

This only returns a list of physical devices; it will not have any device IDs returned by SDL_OpenAudioDevice().

If this function returns NULL, to signify an error, *count will be set to zero.

FUNCTION PARAMETERS

count
    a pointer filled in with the number of devices returned, may be NULL.

RETURN VALUE
Returns a 0 terminated array of device instance IDs, or NULL on failure; call SDL_GetError() for more information. This should be freed with SDL_free() when it is no longer needed.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_OpenAudioDevice(3), SDL_GetAudioPlaybackDevices(3)